<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" 
      xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Datos de la Persona</title>
        <meta charset="UTF-8"/>
    </head>
    <body>

        <h2>Datos de la Persona</h2>
        <a th:href="@{/}">Regresar</a>
        <br/>
        <form th:action="@{/guardar}" method="post" th:object="${persona}">
            <input type="hidden" name="idPersona" th:field="*{idPersona}"/>
            <br/>
            <label for="nombre">Nombre:</label>
            <input type="text" name="nombre" th:field="*{nombre}"/>
            <span th:if="${#fields.hasErrors('nombre')}" th:errors="*{nombre}">Error Nombre</span>
            <br/>
            <label for="apellido">Apellido:</label>
            <input type="text" name="apellido" th:field="*{apellido}"/>
            <span th:if="${#fields.hasErrors('apellido')}" th:errors="*{apellido}">Error Apellido</span>
            <br/>
            <label for="email">Email:</label>
            <input type="text" name="email" th:field="*{email}"/>
            <span th:if="${#fields.hasErrors('email')}" th:errors="*{email}">Error Email</span>
            <br/>
            <label for="telefono">Teléfono:</label>
            <input type="tel" name="telefono" th:field="*{telefono}"/>
            <br/>
            <input type="submit" name="guardar" value="Guardar"/>
        </form>

    </body>
</html>
